Subject: Proportional Donation for Proportional Civil Rights??
From: [email-masked]
Date: Sun, 20 Apr 1997 18:37:45 -0400 (EDT)

Aloha Folks,

Martin Rice noted upcoming fundraiser:

"Chumbley's Fundaiser:  Tuesday, April 22, 5:30-7:30pm, Amfac Plaza
Exhibition Room, $25 Donation  (Mailto:  Friends of Avery B. Chumbley, 100
Auhana Road #103, Kihei, Maui, Hawai`i 96753)."

I am planning to contribute to Chumbley.  Am now in process of determining
what proportion of civil rights I have with my relationship over his rights
with his relationship. 

I will then send the amount of my proportion of his fundraising tickets as a
token of the token value I have with him.  The remainder of the fundraising
ticket base price will be contributed to GLEA Foundation to help in the
amendment battle that he has forced me and Gay rights supporters to support
and fund.

do good folks - remember prepared to contribute to the fight of the century
when fundraising requests come in.

Bill

A personal statement